lev.gui

## Enum LPanel.Align

- java.lang.Object
- - java.lang.Enum<LPanel.Align>
  - - lev.gui.LPanel.Align

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LPanel.Align>
  Enclosing class:
    LPanel

      public static enum LPanel.Align
      extends java.lang.Enum<LPanel.Align>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Center`
    `Left`
    `Right`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LPanel.Align` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LPanel.Align[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Left

          public static final LPanel.Align Left

    - #### Center

          public static final LPanel.Align Center

    - #### Right

          public static final LPanel.Align Right

  - ### Method Detail

    - #### values

          public static LPanel.Align[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LPanel.Align c : LPanel.Align.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LPanel.Align valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null